.font {
    font-family: "Arial Nova Cond";
}

.bg-linear {
    background: linear-gradient(45deg, #ffffff 0%, #fbff8e 60%) !important;
}

.bg-orange {
    background-color: #ffb30f !important;
}

.border-black {
    border-color: #000000 !important;
}

.running-text-container {
    overflow: hidden;
    position: relative;
    white-space: nowrap;
}

.running-text {
    display: inline-block;
    padding-left: 100%;
    animation: scroll-left 60s linear infinite;
}

.scroll-marquee-container {
    box-shadow: 0 1px 3px rgba(0, 0, 0, .1);
    border: 1px solid rgba(0, 0, 0, .15);
    background-color: #ffffff;
    overflow: hidden;
    position: relative;
    height: 50px;
    width: 100%;
    /* Full width of its parent */
    white-space: nowrap;
}

.scroll-marquee-text {
    /* animation properties */
    -moz-transform: translateX(100%);
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
    color: #111;

    -moz-animation: marqueeAnimation 30s linear infinite;
    -webkit-animation: marqueeAnimation 30s linear infinite;
    animation: marqueeAnimation 30s linear infinite;
}


/* for Firefox */
@-moz-keyframes marqueeAnimation {
    from {
        -moz-transform: translateX(100%);
    }

    to {
        -moz-transform: translateX(-100%);
    }
}

/* for Chrome */
@-webkit-keyframes marqueeAnimation {
    from {
        -webkit-transform: translateX(100%);
    }

    to {
        -webkit-transform: translateX(-100%);
    }
}

@keyframes marqueeAnimation {
    from {
        -moz-transform: translateX(100%);
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
    }

    to {
        -moz-transform: translateX(-100%);
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}

@keyframes scroll-left {
    0% {
        transform: translateX(100%);
    }

    10% {
        transform: translateX(20%);
    }

    50% {
        transform: translateX(10%);
    }

    100% {
        transform: translateX(-100%);
    }
}

@keyframes blink {

    0%,
    100% {
        color: #333333;
    }

    50% {
        color: #FF0000;
    }
}

.blink {
    animation: blink 1s infinite;
}

.tabs-container {
    overflow-x: auto;
    max-width: 100%;
    white-space: nowrap;
    background: transparent !important;
}

.nav-pills {
    display: flex;
    flex-wrap: nowrap;
    background-color: #FEE50F !important;
    border-radius: 60px !important;
}

.custom-tab {
    color: black;
    border-radius: 60px !important;
    font-weight: bold;
    padding: 0 5px;
}

.custom-tab.active {
    background-color: #FBC02D !important;
    color: black;
    border: 1px solid #FBC02D;
    border-radius: 60px !important;
}

.fs-tab {
    font-size: 0.7rem;
}

.fs-date {
    font-size: 0.9rem;
}

.plus-icon {
    display: none;
}

.plus-icon-es {
    display: none;
}

.chart-container {
    width: 1000px !important;
}

.custom-flex {
    flex: 0 0 100%;
    margin: 10px 0;
}

.custom-ms {
    margin-left: 1.5rem;
}

.size-icon {
    width: 32px;
    height: 32px;
}

.fs-list-badge {
    font-size: 0.8rem;
    color: black;
    text-shadow: 1px 1px 0px white,
        -1px -1px 0px white,
        -1px 1px 0px white,
        1px -1px 0px white;
}

.margin-media-md {
    margin-top: 30px;
    margin-left: 0;
}

.custom-width-realisasi {
    width: 100%;
}

.custom-width-progten {
    width: 100%;
}

.bg-box-icon-green {
    background-color: #4CAF50;
}

.bg-box-icon-merah {
    background-color: #F44336;
}

.bg-box-icon-kuning {
    background-color: #FFEB3B;
}

.bg-box-icon-biru {
    background-color: #2196F3;
}

.bg-box-icon-gray {
    background-color: #aaaaaa;
}

.bg-box-icon-orange {
    background-color: #ff7220;
}

.badge-orange {
    color: #1a1a1a;
    background-color: #faaa7b;
}

.badge-gray {
    color: #1a1a1a;
    background-color: #cfcfcf;
}

.custom-p-tab {
    padding: 0 15px;
}

.custom-me {
    margin-right: 1rem;
}

.custom-mt-mobile {
    margin-top: 20px;
}

.custrom-px-mobile {
    padding: 0.3rem 1.5rem;
}

.fs-page-es {
    font-size: 0.8rem;
}

.fs-skor-es {
    font-size: 3rem;
    margin: 0;
    text-align: center;
    color: #031a4b;
}

.custom-px {
    padding-right: 1.5rem;
    padding-left: 1.5rem;
}

.custom-py-es-sub {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
}

.fs-list-badge-es {
    font-size: 1rem;
    color: black;
    text-shadow: 1px 1px 0px white,
        -1px -1px 0px white,
        -1px 1px 0px white,
        1px -1px 0px white;
}

.fs-list-es-data {
    font-size: 1.4rem;
}

.fs-list-es-sub {
    font-size: 1.4rem;
    color: #000;
}

.fs-list-es-data-sub {
    font-size: 1.2rem;
}

.px-list-data-sub {
    padding-left: 1rem;
    padding-right: 1rem;
}

.table-responsive {
    overflow-x: auto !important;
    max-width: 100% !important;
    -webkit-overflow-scrolling: touch;
}

table {
    width: 1200px;
    border-collapse: collapse;
    font-family: Arial, sans-serif;
    font-size: 0.8rem;
}

th,
td {
    text-align: center;
    padding: 8px;
    border: 1px solid #000;
}

thead tr:first-child th {
    background-color: #808080;
    color: white;
}

thead th[colspan="8"] {
    background-color: #808080;
    color: white;
}

th {
    font-weight: bold;
}

tbody tr:nth-child(odd) {
    background-color: #F9F9F9;
}

tbody tr:nth-child(even) {
    background-color: #FFFFFF;
}

td {
    font-size: 0.8rem;
}

#pageDropdown option {
    cursor: pointer;
    background-color: #fffc51 !important;
    font-size: 18px;
}

.font-filter-satker {
    font-size: 1rem;
}

.select-dropdown-satker {
    width: 100px;
    white-space: wrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
#table-monitoring tbody tr td:first-child {
    text-align: left;
}  
#table-monitoring tbody tr td:last-child {
    font-weight: bold;
}  

@media (min-width: 768px) and (max-width: 991.98px) {
    .style-max-vh {
        height: auto !important;
    }

    .custom-flex {
        flex: 0 0 calc(33.33% - 10px);
        margin: 10px 0;
    }

    .custom-flex:last-child {
        flex: 0 0 100%;
    }

    .tabs-container {
        overflow-x: auto;
        max-width: 100%;
        white-space: nowrap;
        background: transparent !important;
    }

    .nav-pills {
        display: flex;
        flex-wrap: nowrap;
        background-color: #FEE50F !important;
        border-radius: 60px !important;
    }

    .custom-tab {
        color: black;
        border-radius: 60px !important;
        font-weight: bold;
        padding: 0 5px;
    }

    .custom-tab.active {
        background-color: #FBC02D !important;
        color: black;
        border: 1px solid #FBC02D;
        border-radius: 60px !important;
    }

    .custrom-px-mobile {
        padding: 0.5rem 1rem !important;
    }

    .custom-p-tab {
        padding: 0 30px;
    }

    .fs-page-es {
        font-size: 1rem;
    }

    .fs-date {
        font-size: 1rem !important;
    }

    .fs-tab {
        font-size: 1rem;
    }

    .plus-icon {
        display: none;
    }

    .size-icon {
        width: 30px;
        height: 30px;
    }

    .fs-list {
        font-size: 0.8rem;
    }

    .fs-list-badge {
        font-size: 0.7rem;
        color: black;
        text-shadow: 1px 1px 0px white,
            -1px -1px 0px white,
            -1px 1px 0px white,
            1px -1px 0px white;
    }

    .margin-media-md {
        margin-top: 30px;
        margin-left: 0;
    }

    .custom-me {
        margin-right: 1.3rem;
    }

    .custom-mt-mobile {
        margin-top: 0px;
    }

    .custom-mt-tblt {
        margin-top: 20px !important;
    }

    .custom-flex-realisasi {
        flex: 1 1 calc(50% - 0.5rem);
    }

    .custom-flex-progres-tender {
        flex: 1 1 100%;
    }

    .custom-ms-realisasi {
        margin-left: 1rem !important;
    }

    .scroll-marquee-container {
        border: 2px solid #000000;
        border-radius: 5px;
        overflow: hidden;
        height: 30px;
        background-color: rgba(255, 255, 255, 0.6);
    }

    .scroll-marquee-container1 {
        border: 2px solid #000000;
        border-radius: 5px;
        overflow: hidden;
        height: 30px;
        background-color: rgba(72, 115, 206, 0.6);
    }
    .scroll-marquee-text {
        /* animation properties */
        -moz-transform: translateX(100%);
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
        color: #111;
        font-size: 14px;

        -moz-animation: marqueeAnimation 30s linear infinite;
        -webkit-animation: marqueeAnimation 30s linear infinite;
    }

    .fs-list-es {
        font-size: 0.8rem;
    }

    .fs-list-badge-es {
        font-size: 0.85rem;
        color: black;
        text-shadow: 1px 1px 0px white,
            -1px -1px 0px white,
            -1px 1px 0px white,
            1px -1px 0px white;
    }

    .fs-list-es-data {
        font-size: 1.3rem;
    }

    .fs-list-es-sub {
        font-size: 1.3rem;
        color: #000;
    }

    .fs-list-es-data-sub {
        font-size: 1.1rem;
    }

    .px-list-data-sub {
        padding-left: 0.3rem;
        padding-right: 0.3rem;
    }

    .custom-px {
        padding-right: 1rem;
        padding-left: 1rem;
    }

    .custom-py-es-sub {
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
    }

    #pageButton {
        display: none;
    }

    .table-responsive {
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    table {
        width: 100%;
        border-collapse: collapse;
        font-family: Arial, sans-serif;
        font-size: 0.6rem;
    }

    th,
    td {
        text-align: center;
        padding: 8px;
        border: 1px solid #000;
    }

    thead tr:first-child th {
        background-color: #808080;
        color: white;
    }

    thead th[colspan="8"] {
        background-color: #808080;
        color: white;
    }

    th {
        font-weight: bold;
    }

    tbody tr:nth-child(odd) {
        background-color: #F9F9F9;
    }

    tbody tr:nth-child(even) {
        background-color: #FFFFFF;
    }

    td {
        font-size: 0.6rem;
    }

    #pageDropdown option {
        cursor: pointer;
        background-color: #fffc51 !important;
        font-size: 12px;
    }

    .font-filter-satker {
        font-size: 0.8rem;
    }

    .select-dropdown-satker {
        width: 100px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    #table-monitoring tbody tr td:first-child {
        text-align: left;
    }  
    #table-monitoring tbody tr td:last-child {
        font-weight: bold;
    }  
}

@media (min-width: 992px) and (max-width: 3000px) {
    .style-max-vh {
        height: auto !important;
    }

    .custom-height {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        overflow: hidden;
    }

    .custom-height-pagu-es {
        width: 100%;
        height: 500px !important;
    }

    .custom-flex {
        flex: 0 0 calc(14.28% - 5px) !important;
        margin: 4px 0;
    }

    .custom-ms {
        margin-left: 0.5rem;
    }

    .custom-me {
        margin-right: 1rem;
    }

    .fs-date {
        font-size: 1rem;
    }

    .fs-tab {
        font-size: 1rem;
    }

    .custom-p-tab {
        padding: 0 30px;
    }

    .margin-media-md {
        margin-top: 0;
        margin-left: 1rem;
    }

    .custom-ms-realisasi {
        margin-left: 1rem !important;
    }

    .custom-flex-realisasi {
        flex: 1 1 calc(33.333% - 1rem);
    }

    .custom-flex-progres-tender {
        flex: 1 1 calc(33.333% - 1rem);
    }

    .fs-title {
        font-size: 0.65rem;
        margin-left: 0px;
    }

    .fs-list {
        font-size: 0.6rem;
    }

    .size-icon {
        width: 20px;
        height: 20px;
    }

    .fs-list-badge {
        font-size: 0.5rem;
        color: black;
        text-shadow: 1px 1px 0px white,
            -1px -1px 0px white,
            -1px 1px 0px white,
            1px -1px 0px white;
    }

    .plus-icon {
        display: block;
        top: 30%;
        left: 100%;
        height: 18px;
        width: 18px;
        transform: translate(-50%, -50%);
        z-index: 10;
    }

    .plus-icon-es {
        display: block;
        top: 25%;
        left: 100%;
        height: 18px;
        width: 18px;
        transform: translate(-50%, -50%);
        z-index: 10;
    }

    .scroll-marquee-container {
        border: 2px solid #000000;
        border-radius: 5px;
        overflow: hidden;
        height: 30px;
        background-color: rgba(255, 255, 255, 0.6);
    }

    .scroll-marquee-text {
        /* animation properties */
        -moz-transform: translateX(100%);
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
        color: #111;
        font-size: 14px;

        -moz-animation: marqueeAnimation 30s linear infinite;
        -webkit-animation: marqueeAnimation 30s linear infinite;
    }

    .fs-page-es {
        font-size: 1rem;
    }

    .custom-mt-mobile {
        margin-top: 0px;
    }

    .custrom-px-mobile {
        padding: 0.3rem 1rem;
    }

    .fs-list-es {
        font-size: 0.6rem;
    }

    .fs-list-badge-es {
        font-size: 0.4rem;
        color: black;
        text-shadow: 1px 1px 0px white,
            -1px -1px 0px white,
            -1px 1px 0px white,
            1px -1px 0px white;
    }

    .fs-list-es-sub {
        font-size: 0.6rem;
        color: #000;
    }

    .fs-list-es-data {
        font-size: 0.8rem;
    }

    .fs-list-es-data-sub {
        font-size: 0.5rem;
    }

    .px-list-data-sub {
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    table {
        width: 100%;
        border-collapse: collapse;
        font-family: Arial, sans-serif;
        font-size: 0.6rem;
    }

    th,
    td {
        text-align: center;
        padding: 8px;
        border: 1px solid #000;
    }

    thead tr:first-child th {
        background-color: #808080;
        color: white;
    }

    thead th[colspan="8"] {
        background-color: #808080;
        color: white;
    }

    th {
        font-weight: bold;
    }

    tbody tr:nth-child(odd) {
        background-color: #F9F9F9;
    }

    tbody tr:nth-child(even) {
        background-color: #FFFFFF;
    }

    td {
        font-size: 0.5rem;
    }

    .custom-px {
        padding-right: 1rem;
        padding-left: 1rem;
    }

    .custom-py-es-sub {
        padding-top: 1rem;
        padding-bottom: 1rem;
    }

    .h-table-satker {
        height: 340px;
    }
    .h-table-satker-first {
        height: 300px;
    }
    .h-table-satker-kurva {
        height: 180px;
    }
    #pageDropdown option {
        cursor: pointer;
        background-color: #fffc51 !important;
        font-size: 16px;
    }

    .font-filter-satker {
        font-size: 1rem;
    }

    .px-desktop {
        padding: 0 3px !important;
    }

    .select-dropdown-satker {
        width: 100px !important;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .select-dropdown-satker option {
        font-size: 10px !important;
    }

    #table-monitoring thead tr th {
        font-size: 0.7rem;
    }

    #table-monitoring tbody tr td {
        font-size: 0.75rem;
    }
    #table-monitoring tbody tr td:first-child {
        text-align: left;
        font-size: 0.75rem;
    }  
    #table-monitoring tbody tr td:last-child {
        font-weight: bold;
        font-size: 0.75rem;
    }    
    #table-monitoring tfoot tr td {
        font-size: 0.75rem;
    }

    #table-tender thead tr th {
        font-size: 0.6rem;
    }
    #table-tender tbody tr td {
        font-size: 0.6rem;
    }
    #table-epurchasing thead tr th {
        font-size: 0.6rem;
    }
    #table-epurchasing tbody tr td {
        font-size: 0.6rem;
    }
    #table-penjelas thead tr th {
        font-size: 0.6rem;
    }
    #table-penjelas tbody tr td {
        font-size: 0.6rem;
    }
    .btn-size-custom {
        font-size: 0.5rem;
    }
}

@media (min-width: 3800px) {
    .style-max-vh {
        height: 45vh !important;
    }

    .style-max-vh-sisa {
        height: 5vh !important;
    }

    .style-max-vh-es {
        height: 50vh !important;
    }

    .col-custom-7 {
        flex: 0 0 58.333333%;
        /* Sesuai dengan col-lg-7 */
        max-width: 58.333333%;
    }

    .col-custom-5 {
        flex: 0 0 41.666667%;
        /* Sesuai dengan col-lg-5 */
        max-width: 41.666667%;
    }

    .custom-flex {
        flex: 0 0 calc(14.28% - 10px) !important;
        margin: 4px 0;
    }

    .custom-height {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        overflow: hidden;
    }

    .tabs-container {
        overflow-x: auto;
        max-width: 100%;
        white-space: nowrap;
        background: transparent !important;
    }

    .nav-pills {
        display: flex;
        flex-wrap: nowrap;
        background-color: #FEE50F !important;
        border-radius: 60px !important;
    }

    .custom-tab {
        color: black;
        border-radius: 60px !important;
        font-weight: bold;
        padding: 0 50px;
    }

    .custom-tab.active {
        background-color: #FBC02D !important;
        color: black;
        border: 1px solid #FBC02D;
        border-radius: 60px !important;
    }

    .margin-media-md {
        margin-top: 0;
        margin-left: 1rem;
    }

    .custom-ms-realisasi {
        margin-left: 0.95rem !important;
    }

    .custom-width-realisasi {
        width: 50%;
    }

    .custom-width-progten {
        width: 50%;
    }

    .card.p-1.d-flex {
        flex-wrap: nowrap !important;
    }

    .custom-mt-xxl {
        margin-top: 1.5rem;
    }

    .custom-ms {
        margin-left: 1.5rem;
    }

    .custom-me {
        margin-right: 3rem;
    }

    .custom-mt-mobile {
        margin-top: 0;
    }

    .custom-mt-es {
        margin-top: 7rem;
    }

    .fs-tab {
        font-size: 3rem;
    }

    .fs-title {
        font-size: 2.1rem;
        margin-left: 16px;
    }

    .size-icon {
        width: 64px;
        height: 64px;
    }

    .fs-list {
        font-size: 2rem;
    }

    .fs-list-es {
        font-size: 1.8rem;
    }

    .fs-date {
        font-size: 3.2rem !important;
    }

    .fs-list-badge {
        font-size: 1.5rem;
        color: black;
        text-shadow: 1px 1px 0px white,
            -1px -1px 0px white,
            -1px 1px 0px white,
            1px -1px 0px white;
    }

    .bg-box-icon-green {
        background-color: #4CAF50;
    }

    .bg-box-icon-merah {
        background-color: #F44336;
    }

    .bg-box-icon-kuning {
        background-color: #FFEB3B;
    }

    .bg-box-icon-biru {
        background-color: #2196F3;
    }

    .bg-box-icon-gray {
        background-color: #aaaaaa;
    }

    .bg-box-icon-orange {
        background-color: #ff7220;
    }

    .badge-orange {
        color: #1a1a1a;
        background-color: #faaa7b;
    }

    .badge-gray {
        color: #1a1a1a;
        background-color: #cfcfcf;
    }

    .plus-icon {
        display: block;
        top: 43%;
        left: 100%;
        height: 48px;
        width: 48px;
        transform: translate(-50%, -50%);
        z-index: 10;
    }

    .plus-icon-es {
        display: block;
        top: 38%;
        left: 100%;
        height: 48px;
        width: 48px;
        transform: translate(-50%, -50%);
        z-index: 10;
    }

    .scroll-marquee-container {
        border: 2px solid #000000;
        border-radius: 5px;
        overflow: hidden;
        height: 70px;
        background-color: rgba(255, 255, 255, 0.6);
    }

    .scroll-marquee-text {
        /* animation properties */
        -moz-transform: translateX(100%);
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
        color: #111;
        font-size: 40px;

        -moz-animation: marqueeAnimation 30s linear infinite;
        -webkit-animation: marqueeAnimation 30s linear infinite;
    }

    .fs-list-badge-es {
        font-size: 1.4rem;
        color: black;
        text-shadow: 1px 1px 0px white,
            -1px -1px 0px white,
            -1px 1px 0px white,
            1px -1px 0px white;
    }

    .fs-list-es-data {
        font-size: 2.4rem;
    }

    .fs-list-es-sub {
        font-size: 2rem;
        color: #000;
    }

    .fs-list-es-data-sub {
        font-size: 1.7rem;
    }

    .px-list-data-sub {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .custrom-px-mobile {
        padding: 1rem 2rem;
    }

    .fs-page-es {
        font-size: 3rem;
    }

    .fs-skor-es {
        font-size: 7rem;
        margin: 0;
        text-align: center;
        color: #031a4b;
    }

    table {
        width: 100%;
        border-collapse: collapse;
        font-family: Arial, sans-serif;
        font-size: 1.675rem;
    }

    th,
    td {
        text-align: center;
        padding: 8px;
        border: 1px solid #000;
    }

    thead tr:first-child th {
        background-color: #808080;
        color: white;
    }

    thead th[colspan="8"] {
        background-color: #808080;
        color: white;
    }

    th {
        font-weight: bold;
    }

    tbody tr:nth-child(odd) {
        background-color: #F9F9F9;
    }

    tbody tr:nth-child(even) {
        background-color: #FFFFFF;
    }

    td {
        font-size: 1.5rem;
    }

    .custom-px {
        padding-right: 1.5rem;
        padding-left: 1.5rem;
    }

    .custom-py-es-sub {
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
    }

    .h-table-satker {
        height: 620px;
    }
    .h-table-satker-first {
        height: 500px;
    }
    .h-table-satker-kurva {
        height: 320px;
    }
    #pageDropdown option {
        cursor: pointer;
        background-color: #fffc51 !important;
        font-size: 12px;
    }

    .font-filter-satker {
        font-size: 3rem;
    }

    .select-dropdown-satker {
        width: 350px !important;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: left;
        text-align-last: center; 
    }
    .select-dropdown-satker option {
       font-size: 0.5rem !important;
       text-align: left;
    }
    #table-monitoring tbody tr td:first-child {
        text-align: left;
    }  
    #table-monitoring tbody tr td:last-child {
        font-weight: bold;
    }   

    .btn-size-custom {
        font-size: 1.5rem;
    }
}